<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<main>
    <h1>HW4 Q&A</h1>

    <h4>Описати своїми словами навіщо потрібні функції у програмуванні.</h4>
    <p>
        Основна задача функцій - це уникнення повторення коду. Якщо якийсь кусок коду використовується більше одного разу,
        то його краще винести в окрему функцію і викликати там де потрібно. Також функції допомагають зробити код більш читабельним.
    </p>

    <h4>Описати своїми словами, навіщо у функцію передавати аргумент.</h4>
    <p>
        Аргументи потрібні для того щоб функція могла виконувати різні дії з різними даними. Наприклад, функція для виведення
        повідомлення на екран може приймати різні повідомлення. І в залежності від того яке повідомлення ми передамо в функцію, вона виведе його на екран.
    </p>

    <h4>Що таке оператор return та як він працює всередині функції?</h4>
    <p>
        Оператор return використовується для того щоб повернути значення з функції. Якщо в функції використовується оператор return,
        то вона виконується до того моменту поки не натрапить на оператор return. Після цього виконання функції припиняється.
    </p>
</main>


<script src="./js/script.js"></script>
</body>
</html>